Bug 57502

Summary: ports that define USE_* too late
Product: Ports & Packages Reporter: Oliver Eikemeier <eikemeier>
Component: Individual Port(s)Assignee: Tom McLaughlin <tmclaugh>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
docbook-to-man.diff none

Description Oliver Eikemeier 2003-10-02 17:40:18 UTC
Multiple ports define USE_* variables that are tested in bsd.port.pre.mk
*after* they include bsd.port.pre.mk, which results in that that directive
being ignored. The proposed patch in PR 57496 will (purposely) break these
ports.

The following ports are affected:

* USE_IMAKE:

desmo@bandwidth.org
- x11-clocks/xalarm

jmz@FreeBSD.org
- x11/xgrab


* USE_OPENSSL:

arved@FreeBSD.org
- irc/bitchx

clive@FreeBSD.org
- chinese/bitchx

DougB@FreeBSD.org
- dns/bind9 (PR 57495)

jim@FreeBSD.org
- irc/xchat

jylefort@brutele.be
- mail/sylpheed-gtk2

knu@FreeBSD.org
- japanese/xchat

marcus@FreeBSD.org
- net/net-snmp4

oliver@FreeBSD.org
- mail/sylpheed

sheepkiller@cultdeadsheep.org
- dns/bind9-sdb-mysql

sysadmin@alexdupre.com
- databases/mysql40-client
- databases/mysql40-server
- databases/mysql41-client
- databases/mysql41-server


* USE_OPENLDAP:

asa@gascom.ru   
- lang/php4-nms

gnome@FreeBSD.org
- databases/libgda2

sysadmin@alexdupre.com
- lang/php4
- lang/php4-cli
- lang/php5
- lang/php5-cli
- www/mod_php4 (PR 57491)
- www/mod_php5
- www/php4-cgi
- www/php5-cgi

thierry@pompo.net
- lang/php4-horde


* USE_X_PREFIX:

3d@freebsd.org
- games/linux-q3ademo

cyrille.lefevre@laposte.net
- textproc/docbook-to-man

goto@snowy.to
- irc/ircatlite

jeremy@external.org
- sysutils/ipsc

ports@FreeBSD.org
- x11-toolkits/viewklass

Fix: 

move .include <bsd.port.pre.mk> down as far as possible, or move the
respective USE_* definition up.
Comment 1 Clement Laforet 2003-10-02 17:54:32 UTC
On Thu, 02 Oct 2003 18:31:53 +0200
Oliver Eikemeier <eikemeier@fillmore-labs.com> wrote:


Hi Oliver !!

Thank you for the notification :)
Great job too :)

I'll fix it tomorrow,

regards,
clem
Comment 2 Doug Barton freebsd_committer 2003-10-02 20:21:30 UTC
On Thu, 2 Oct 2003, Oliver Eikemeier wrote:

> * USE_OPENSSL:
>
> DougB@FreeBSD.org
> - dns/bind9 (PR 57495)

Fixed.

-- 

    This .signature sanitized for your protection
Comment 3 Oliver Eikemeier 2003-10-03 13:56:06 UTC
A patch that for bsd.port.mk that fixes the ports
listed under USE_OPENLDAP is in PR 57529.
Comment 4 Oliver Eikemeier 2003-10-03 14:07:05 UTC
Oliver Eikemeier wrote:

> A patch that for bsd.port.mk that fixes the ports
> listed under USE_OPENLDAP is in PR 57529.

Strong am I with the Source, but not that strong...
Comment 5 Oliver Eikemeier 2003-11-09 13:32:07 UTC
Multiple ports define USE_* variables that are tested in bsd.port.pre.mk
*after* they include bsd.port.pre.mk, which results in that that directive
being ignored. Updated list (now that we have portlint support ;-):

3d@freebsd.org
- games/linux-q3ademo (USE_X_PREFIX)

avleeuwen@piwebs.com
- audio/yammi (USE_KDELIBS_VER)

brueffer@phoenix-systems.de
- net/simicq (USE_OPENSSL, USE_KDELIBS_VER)

cyrille.lefevre@laposte.net
textproc/docbook-to-man (USE_IMAKE, USE_X_PREFIX)

desmo@bandwidth.org
x11-clocks/xalarm (USE_IMAKE, broken by kris@ in an efford to break it only on 5.x :) )

gnome@FreeBSD.org
- irc/xchat2 (USE_PYTHON)

goto@snowy.to
- irc/ircatlite (USE_X_PREFIX, broken by kris@ in an efford to break it only on 5.x :) )

jeremy@external.org
- sysutils/ipsc (USE_X_PREFIX)

jim@FreeBSD.org
- irc/xchat (USE_OPENSSL, USE_PYTHON)

jmz@FreeBSD.org
- games/qix (USE_X_PREFIX)
- x11/xgrab (USE_IMAKE)

jylefort@brutele.be
- mail/sylpheed-gtk2 (USE_OPENSSL)

lofi@freebsd.org
- security/pinentry (USE_QT_VER)

obrien@FreeBSD.org
- editors/vim (USE_PYTHON, USE_RUBY)

ports@FreeBSD.org
- databases/mdbtools (USE_X_PREFIX)
- x11-toolkits/viewklass (USE_X_PREFIX)

sysadmin@alexdupre.com
- databases/mysql41-server (USE_OPENSSL)
Comment 6 jmz freebsd_committer 2003-11-09 19:07:41 UTC
>>>>> Oliver Eikemeier writes:

 > Multiple ports define USE_* variables that are tested in bsd.port.pre.mk
 > *after* they include bsd.port.pre.mk, which results in that that directive
 > being ignored. Updated list (now that we have portlint support ;-):

 > - games/qix (USE_X_PREFIX)

Not in this case.

Jean-Marc

-- 
Jean-Marc Zucconi -- PGP Key: finger jmz@FreeBSD.org [KeyID: 400B38E9]
Comment 7 Oliver Eikemeier 2003-11-10 00:54:34 UTC
Jean-Marc Zucconi wrote:

>>>>>>Oliver Eikemeier writes:
> 
>  > Multiple ports define USE_* variables that are tested in bsd.port.pre.mk
>  > *after* they include bsd.port.pre.mk, which results in that that directive
>  > being ignored. Updated list (now that we have portlint support ;-):
> 
>  > - games/qix (USE_X_PREFIX)
> 
> Not in this case.

Sorry, you're right. Do you think we should try to fix portlint? Or would you prefer:

.if defined(WITHOUT_X11)
MAKE_ARGS=	NO_X11=yes
.else
USE_X_PREFIX=	yes
PLIST=		pkg-plist.x11
.endif

.include <bsd.port.pre.mk>

just in case?
Comment 8 Kirill Ponomarev freebsd_committer 2003-11-16 15:56:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eik

Submitter is now committer.
Comment 9 Florent Thoumie 2005-06-05 23:04:53 UTC
	Your docbook-to-man port is still not corrected.

	USE_IMAKE implies USE_X_PREFIX, so the latter can be removed.

	USE_IMAKE should be set before bsd.port.pre.mk inclusion.

	In general, non-conditional variable assignments should be
	done before its inclusion.

	Do you agree with these changes ?

-- 
Florent Thoumie
flz@xbsd.org
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2005-07-18 04:58:58 UTC
State Changed
From-To: open->suspended

With bugmeister hat on, reassign from inactive committer. 

The infrastructure problem that eik noted is now something that's checked 
for in portlint (see ports/57496) but I have not checked to see if all 
the ports that were oringally cited by this PR have been closed.  I'll 
mark this suspended in case someone wants to do the detective work. 


Comment 11 Mark Linimon freebsd_committer freebsd_triage 2005-07-18 04:58:58 UTC
Responsible Changed
From-To: eik->freebsd-ports-bugs
Comment 12 Tom McLaughlin freebsd_committer 2007-02-06 02:14:37 UTC
State Changed
From-To: suspended->open

All the ports listed in this PR except textproc/docbook-to-man are fine 
today.  Now I just need to figure out what the hell is going on in that one 
remaining port.  Global and local variables, huh? 


Comment 13 Tom McLaughlin freebsd_committer 2007-02-06 02:14:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmclaugh

All the ports listed in this PR except textproc/docbook-to-man are fine 
today.  Now I just need to figure out what the hell is going on in that one 
remaining port.  Global and local variables, huh?
Comment 14 Tom McLaughlin 2007-11-04 22:03:57 UTC
Attached patch is the final fix needed to close this PR.  Will commit
after ports freeze is over.
Comment 15 Tom McLaughlin freebsd_committer 2008-04-18 03:00:36 UTC
State Changed
From-To: open->closed

Committed final patch.
Comment 16 dfilter service freebsd_committer 2008-04-18 03:30:23 UTC
tmclaugh    2008-04-18 02:30:16 UTC

  FreeBSD ports repository

  Modified files:
    textproc/docbook-to-man Makefile 
  Log:
  - pet portlint
  
  PR:             57502
  
  Revision  Changes    Path
  1.13      +10 -11    ports/textproc/docbook-to-man/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"